package ink.wgink.module.examine.pojo.dtos.paper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: ExaminationPaperDTO
 * @Description: 试卷
 * @Author: WenG
 * @Date: 2020-09-11 11:50
 * @Version: 1.0
 **/
@ApiModel
public class PaperDTO {

    @ApiModelProperty(name = "paperId", value = "主键")
    private String paperId;
    @ApiModelProperty(name = "paperName", value = "试卷名称")
    private String paperName;
    @ApiModelProperty(name = "paperNumber", value = "试卷编码")
    private String paperNumber;
    @ApiModelProperty(name = "paperType", value = "试卷类型")
    private String paperType;
    @ApiModelProperty(name = "passScore", value = "及格分数")
    private Double passScore;
    @ApiModelProperty(name = "totalScore", value = "总分")
    private Double totalScore;
    @ApiModelProperty(name = "choiceSingleCount", value = "单选数量")
    private Integer choiceSingleCount;
    @ApiModelProperty(name = "choiceSingleEachScore", value = "单选每题得分")
    private Double choiceSingleEachScore;
    @ApiModelProperty(name = "choiceMultipleCount", value = "多选数量")
    private Integer choiceMultipleCount;
    @ApiModelProperty(name = "choiceMultipleEachScore", value = "多选每题得分")
    private Double choiceMultipleEachScore;
    @ApiModelProperty(name = "tureOrFalseCount", value = "判断数量")
    private Integer tureOrFalseCount;
    @ApiModelProperty(name = "tureOrFalseEachScore", value = "判断每题得分")
    private Double tureOrFalseEachScore;
    @ApiModelProperty(name = "fillInTheBlanksCount", value = "填空数量")
    private Integer fillInTheBlanksCount;
    @ApiModelProperty(name = "fillInTheBlanksEachScore", value = "填空每题得分")
    private Double fillInTheBlanksEachScore;
    @ApiModelProperty(name = "answerCount", value = "解答数量")
    private Integer answerCount;
    @ApiModelProperty(name = "answerEachScore", value = "解答每题得分")
    private Double answerEachScore;
    @ApiModelProperty(name = "gmtCreate", value = "添加时间")
    private String gmtCreate;
    @ApiModelProperty(name = "paperStatus", value = "试卷状态，0：未就绪，1：已就绪")
    private Integer paperStatus;

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Double getPassScore() {
        return passScore;
    }

    public void setPassScore(Double passScore) {
        this.passScore = passScore;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getChoiceSingleCount() {
        return choiceSingleCount;
    }

    public void setChoiceSingleCount(Integer choiceSingleCount) {
        this.choiceSingleCount = choiceSingleCount;
    }

    public Double getChoiceSingleEachScore() {
        return choiceSingleEachScore;
    }

    public void setChoiceSingleEachScore(Double choiceSingleEachScore) {
        this.choiceSingleEachScore = choiceSingleEachScore;
    }

    public Integer getChoiceMultipleCount() {
        return choiceMultipleCount;
    }

    public void setChoiceMultipleCount(Integer choiceMultipleCount) {
        this.choiceMultipleCount = choiceMultipleCount;
    }

    public Double getChoiceMultipleEachScore() {
        return choiceMultipleEachScore;
    }

    public void setChoiceMultipleEachScore(Double choiceMultipleEachScore) {
        this.choiceMultipleEachScore = choiceMultipleEachScore;
    }

    public Integer getTureOrFalseCount() {
        return tureOrFalseCount;
    }

    public void setTureOrFalseCount(Integer tureOrFalseCount) {
        this.tureOrFalseCount = tureOrFalseCount;
    }

    public Double getTureOrFalseEachScore() {
        return tureOrFalseEachScore;
    }

    public void setTureOrFalseEachScore(Double tureOrFalseEachScore) {
        this.tureOrFalseEachScore = tureOrFalseEachScore;
    }

    public Integer getFillInTheBlanksCount() {
        return fillInTheBlanksCount;
    }

    public void setFillInTheBlanksCount(Integer fillInTheBlanksCount) {
        this.fillInTheBlanksCount = fillInTheBlanksCount;
    }

    public Double getFillInTheBlanksEachScore() {
        return fillInTheBlanksEachScore;
    }

    public void setFillInTheBlanksEachScore(Double fillInTheBlanksEachScore) {
        this.fillInTheBlanksEachScore = fillInTheBlanksEachScore;
    }

    public Integer getAnswerCount() {
        return answerCount;
    }

    public void setAnswerCount(Integer answerCount) {
        this.answerCount = answerCount;
    }

    public Double getAnswerEachScore() {
        return answerEachScore;
    }

    public void setAnswerEachScore(Double answerEachScore) {
        this.answerEachScore = answerEachScore;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Integer getPaperStatus() {
        return paperStatus;
    }

    public void setPaperStatus(Integer paperStatus) {
        this.paperStatus = paperStatus;
    }
}
